'use client';

import LoginPage from '@/components/LoginPage';
import { useRouter } from 'next/navigation';

export default function Login() {
    const router = useRouter();

    return (
        <LoginPage
            onSuccess={() => router.push('/dashboard')}
            onRegister={() => router.push('/signup')}
        />
    );
}
